/***********************
* Azioni di composizione in Adobe Edge Animate
*
* Modifica con cautela questo file di testo, prestando attenzione a salvare 
* firme e commenti di funzione che iniziano con "Edge" per mantenere 
* possibilità di interagire con le azioni dall'interno di Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // alias per le classi usate più di frequente in Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 205, function(sym, e) {
         // inserire codice qui
         sym.stop();
      
      });
      //Edge binding end
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // inserire codice qui
         // Disattiva tutte le tracce audio della composizione. Impostate la disattivazione su false per disattivare 
         $("audio").prop("muted", true);
         
         //----------------- audio
         slide = ""; // modifica
         audio = ""; // modifica
         if(document.getElementById('Stage_'+slide+'_'+audio)){
         	sym.getSymbol(slide).$(audio)[0].muted = false;
         }else if(slide != "" || audio != ""){
         	alert('errore audio - slide:'+slide+' - audio:'+audio);
         }
         //-----------------------

      });
      //Edge binding end
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      

      

      

      

      

      

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'logo'
   (function(symbolName) {   
   
   })("logo");
   //Edge symbol end:'logo'

   //=========================================================
   
   //Edge symbol: 'slide_15'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         // inserire codice qui
         sym.stop();

      });
         //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${btn-ita}", "mouseover", function(sym, e) {
         // inserire qui il codice da eseguire quando il mouse passa su un oggetto
         // Riproduci la linea temporale in un'etichetta oppure a un'ora specifica. Ad esempio:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("btn-ita").play("over");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${btn-ita}", "mouseout", function(sym, e) {
         // inserire qui il codice da eseguire quando il mouse viene posizionato fuori dall'oggetto
         sym.getSymbol("btn-ita").playReverse();
         

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         // inserire codice qui
         
         // ---- href button
         slide = "slide_0";
         button = "btn-ita";
         url = "ita.html";
         target = "_self";
         if(slide == ""){slide_button = button;}else{slide_button = slide+'_'+button;}
         if(url != ""){$('#Stage_'+slide_button).wrap('<a href="'+url+'" target="'+target+'"></a>');}
         // ----------------
         
         // ---- href button
         slide = "slide_0";
         button = "btn-eng";
         url = "eng.html";
         target = "_self";
         if(slide == ""){slide_button = button;}else{slide_button = slide+'_'+button;}
         if(url != ""){$('#Stage_'+slide_button).wrap('<a href="'+url+'" target="'+target+'"></a>');}
         // ----------------

      });
      //Edge binding end

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${btn-eng}", "mouseover", function(sym, e) {
         // inserire qui il codice da eseguire quando il mouse passa su un oggetto
         
         // Riproduci la linea temporale in un'etichetta oppure a un'ora specifica. Ad esempio:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("btn-eng").play("over");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${btn-eng}", "mouseout", function(sym, e) {
         // inserire qui il codice da eseguire quando il mouse viene posizionato fuori dall'oggetto
         
         sym.getSymbol("btn-eng").playReverse();

      });
      //Edge binding end

         })("slide_0");
   //Edge symbol end:'slide_0'

   //=========================================================
   
   //Edge symbol: 'btn-ita'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // inserire codice qui
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // inserire codice qui
         sym.stop();

      });
      //Edge binding end

   })("btn-ita");
   //Edge symbol end:'btn-ita'

   //=========================================================
   
   //Edge symbol: 'Precaricatore'
   (function(symbolName) {   
   
   })("Precaricatore");
   //Edge symbol end:'Precaricatore'

   //=========================================================
   
   //Edge symbol: 'btn-ita_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // inserire codice qui
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // inserire codice qui
         sym.stop();

      });
         //Edge binding end

      })("btn-eng");
   //Edge symbol end:'btn-eng'

})(window.jQuery || AdobeEdge.$, AdobeEdge, "EDGE-377656");